## Class Swift_ByteStream_FileByteStream

(line 22)

## Description

    Swift_ByteStream_AbstractFilterableInputStream
       |
       --Swift_ByteStream_FileByteStream

Located in File: /vendors/swiftMailer/classes/Swift/ByteStream/FileByteStream.php

##### Allows reading and writing of bytes to and from a file.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_ByteStream_FileByteStream __construct (string $path, [string $writable = false])
string getPath ()
string read (int $length)
boolean setReadPointer (int $byteOffset)
void _commit ( $bytes)
void _flush ()

#### Constructor __construct (line 50)

#### Swift_ByteStream_FileByteStream __construct( string $path, [string $writable = false])

##### Create a new FileByteStream for $path.

#### Parameters

- string $path:
- string $writable: if true

#### Info

- access - public

#### Method getPath (line 61)

#### string getPath( )

Implementation of:

Swift_FileStream::getPath()
  Get the complete path to the file.

##### Get the complete path to the file.

#### Info

- access - public

#### Method read (line 75)

#### string read( int $length)

Implementation of:

Swift_OutputByteStream::read()
  Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

##### Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

#### Parameters

- int $length:

#### Info

- throws - Swift_IoException
- access - public

#### Method setReadPointer (line 103)

#### boolean setReadPointer( int $byteOffset)

Implementation of:

Swift_OutputByteStream::setReadPointer()
  Move the internal read pointer to $byteOffset in the stream.

##### Move the internal read pointer to $byteOffset in the stream.

#### Parameters

- int $byteOffset:

#### Info

- access - public

#### Method _commit (line 115)

#### void _commit( $bytes)

Overrides : Swift_ByteStream_AbstractFilterableInputStream::_commit() Commit the given bytes to the storage medium immediately.

##### Just write the bytes to the file

#### Parameters

- $bytes:

#### Info

- access - protected

#### Method _flush (line 122)

#### void _flush( )

Overrides : Swift_ByteStream_AbstractFilterableInputStream::_flush() Flush any buffers/content with immediate effect.

##### Not used

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_ByteStream_AbstractFilterableInputStream

#### Swift_ByteStream_AbstractFilterableInputStream::addFilter() - Add a StreamFilter to this InputByteStream.

#### Swift_ByteStream_AbstractFilterableInputStream::bind() - Attach $is to this stream.

#### Swift_ByteStream_AbstractFilterableInputStream::commit() - For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Swift_ByteStream_AbstractFilterableInputStream::flushBuffers() - Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Swift_ByteStream_AbstractFilterableInputStream::removeFilter() - Remove an already present StreamFilter based on its $key.

#### Swift_ByteStream_AbstractFilterableInputStream::unbind() - Remove an already bound stream.

#### Swift_ByteStream_AbstractFilterableInputStream::write() - Writes $bytes to the end of the stream.

#### Swift_ByteStream_AbstractFilterableInputStream::_commit() - Commit the given bytes to the storage medium immediately.

#### Swift_ByteStream_AbstractFilterableInputStream::_flush() - Flush any buffers/content with immediate effect.

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3